Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707496 - gui-libs/wlroots-0.10.0 : fails to build with -fno-common or gcc-10
Summary: gui-libs/wlroots-0.10.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Aaron Bauman
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common 708704
  Show dependency tree
 
Reported: 2020-01-30 19:30 UTC by Toralf Förster
Modified: 2020-04-17 17:23 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.61 KB, text/plain)
2020-01-30 19:30 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,219.31 KB, text/plain)
2020-01-30 19:30 UTC, Toralf Förster
Details
environment (environment,93.79 KB, text/plain)
2020-01-30 19:30 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,20.46 KB, application/x-bzip)
2020-01-30 19:30 UTC, Toralf Förster
Details
gui-libs:wlroots-0.10.0:20200130-162822.log (gui-libs:wlroots-0.10.0:20200130-162822.log,163.30 KB, text/plain)
2020-01-30 19:30 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,27.87 KB, application/x-bzip)
2020-01-30 19:30 UTC, Toralf Förster
Details
files/wlroots-0.10.0-fno-common.patch (wlroots-0.10.0-fno-common.patch,678 bytes, patch)
2020-02-08 09:31 UTC, Jeroen Roovers
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:30:01 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: wlroots@sha/types_seat_wlr_seat_pointer.c.o:(.data.rel.ro.local+0x40): multiple definition of `default_pointer_grab_impl'; wlroots@sha/types_seat_wlr_seat_keyboard.c.o:(.rodata+0xa0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: wlroots@sha/types_seat_wlr_seat_pointer.c.o:(.rodata+0x60): multiple definition of `default_touch_grab_impl'; wlroots@sha/types_seat_wlr_seat_keyboard.c.o:(.rodata+0x60): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 15:46:24 +0000

emerge -qpvO gui-libs/wlroots
[ebuild  N    ] gui-libs/wlroots-0.10.0  USE="filecaps -X -elogind -icccm -systemd -x11-backend"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:30:04 UTC
Created attachment 609292 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:30:06 UTC
Created attachment 609294 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:30:09 UTC
Created attachment 609296 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:30:12 UTC
Created attachment 609298 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:30:15 UTC
Created attachment 609300 [details]
gui-libs:wlroots-0.10.0:20200130-162822.log
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:30:18 UTC
Created attachment 609302 [details]
temp.tbz2
Comment 7 Jeroen Roovers gentoo-dev 2020-02-08 09:31:25 UTC
Created attachment 612674 [details, diff]
files/wlroots-0.10.0-fno-common.patch

https://github.com/swaywm/wlroots/commit/f2943bdf61afe0a3ad2227d72fcbcac8b3088b1a

commit f2943bdf61afe0a3ad2227d72fcbcac8b3088b1a
Author: Jan Staněk <jstanek@redhat.com>
Date:   Tue Jan 28 15:27:24 2020 +0100

    Declare wlr_seat globals as extern
Comment 8 Larry the Git Cow gentoo-dev 2020-04-17 17:23:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27c3abb277ae958c4b0ae984c5409bc8e1d50342

commit 27c3abb277ae958c4b0ae984c5409bc8e1d50342
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-04-17 17:23:18 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-04-17 17:23:31 +0000

    gui-libs/wlroots: tweak for gcc-10. bug #707496
    
    Pull upstream f2943bdf61afe "Declare wlr_seat globals as extern".
    
    Reported-by: Toralf Förster
    Closes: https://bugs.gentoo.org/707496
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 gui-libs/wlroots/files/wlroots-0.10.0-gcc-10.patch | 26 ++++++++++++++++++++++
 gui-libs/wlroots/wlroots-0.10.0.ebuild             |  2 ++
 2 files changed, 28 insertions(+)